質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Ruby on Rails

Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Bootstrap

BootstrapはウェブサイトデザインやUIのWebアプリケーションを素早く 作成する可能なCSSフレームワークです。 Twitter風のデザインを作成することができます。

解決済

Bootstrapをrails6で導入・活用したい

ami09
ami09

総合スコア0

Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Ruby on Rails

Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Bootstrap

BootstrapはウェブサイトデザインやUIのWebアプリケーションを素早く 作成する可能なCSSフレームワークです。 Twitter風のデザインを作成することができます。

2回答

0評価

0クリップ

671閲覧

投稿2020/10/10 09:13

編集2022/01/12 10:58

前提・実現したいこと

Bootstrapをrails6で導入し、タスク管理アプリを作成したいと考えています。
下記「試したこと」を実践しましたが、エラーメッセージとなりますので、
解消方法をご教授頂けないでしょうか。

発生している問題・エラーメッセージ

Sass::SyntaxError in Top#index

試したこと

「rails6 Bootstrap導入」等で検索し、主に以下を参照しましたが、再現できず。
https://qiita.com/junun/items/932a4218afc84d41a34a
https://qiita.com/vogel_env/items/14fab52a1c8ef8baa956
https://medium-company.com/rails-bootstrap/
などなど。どれも、指示通りのディレクトリが存在しなかったり、コードの記述箇所が不明瞭だったりします。

公式のhttps://getbootstrap.jp/よりjsファイル等をダウンロードしましたが、
ruby,ruby on railsで活用できるのか?分かりませんでした。

補足情報(FW/ツールのバージョンなど)

OS:Mac
ruby -v ruby 2.6.5p114
rails -v Rails 6.0.3.4
今回導入したgem
gem 'bootstrap', '~> 5.0.0.alpha1'
gem 'jquery-rails'

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

m.ts10806
m.ts10806

2020/10/10 09:19

結局6でしたいのか5でしたいのか分かりません。
m.ts10806
m.ts10806

2020/10/10 09:20

ひとまずBootstrapはまだ試用版の5より安定板の4のほうが良いかとは思いますが。
ami09
ami09

2020/10/10 09:23

失礼しました。rails6です。 Bootstrap4の方が良い旨、承知しました
m.ts10806
m.ts10806

2020/10/10 09:27

質問本文に追記願います。
m.ts10806
m.ts10806

2020/10/10 09:28

あと一応、提示のエラーがどの段階で出たのか記載いただけますか?
m.ts10806
m.ts10806

2020/10/10 09:29

もう1点、 静的css、jsの適用の仕方は知っていますか? それを知っていれば、ダウンロード版を使うのも同じです。 簡単に済ますならCDNという手もあります。
ami09
ami09

2020/10/10 10:16

早速ご回答いただき、ありがとうございます。 https://qiita\.com/vogel_env/items/14fab52a1c8ef8baa956 を参考に、gem 'bootstrap', '~> 4\.1\.1'でやり直しました。 qiita\.にはapp>assets>javascript>application\.jsと指示ありますが、ディレクトリの配置が異なり、自分のエディタでは app>javascript>packs>application\.jsに記載しました。 index\.htmlまで記載後にエラーとなりました。
ami09
ami09

2020/10/10 10:17

静的css、jsの適用は分かりませんでしたので、検索してみます。
ami09
ami09

2020/10/10 10:18

最初に投稿した質問文、アップデートいたします。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Ruby on Rails

Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Bootstrap

BootstrapはウェブサイトデザインやUIのWebアプリケーションを素早く 作成する可能なCSSフレームワークです。 Twitter風のデザインを作成することができます。